Is Q2403A programmable?


#1

I have legacy module Q2403A (from ATI3), but unfortunately i can’t programme the module. :frowning: :frowning: :frowning:

Does anybody has experience to programme this module? What is the SDK version?

Any help will be appreciated.

--- device information ---

ATI :
WAVECOM MODEM
MULTIBAND  900E  1800

ATI3 : 
641c09gg.Q2403A 1320668 070705 10:58

ATI6 :
DATA RATES: AUTOBAUD,300,1200,1200/75,2400,4800,9600,14400
DATA MODES: T/NT,ASYNCHRONOUS
FAX CLASS: 1,2

ATI7 :
SPEECH CODINGS: FR,EFR,HR

#2

does it respond to AT+WOPEN=2

:question:


#3

Yes

AT+WOPEN=2

+WOPEN: 2,"AT  v02.10"

OK

And also this response appear when port opened at first time on M2M Studio (maybe this detail help)

+WIMEI: 351099810556438

+WOPEN: (0-4)

+WOPEN: 1

641c09gg.Q2403A 1320668 070705 10:58

a04_3ugg.Q2403A 0001002C8F5DC7EA

+WOPEN: 2,"AT  v02.10"

+WDWL: V02.1G

Any further suggestion awneil ?


#4

That tells you that it has Open-AT v2.10.

And that tells you that it is programmable, and that you need an SDK comatible with Open-AT v2.10 - which, I guess, must be well over 7 years old…